package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.shr.base.syssetting.SHRBaseItem;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.compensation.basedata.app.*;
import com.kingdee.bos.framework.*;
import com.kingdee.shr.base.syssetting.ISHRBaseItem;

public class DevProject extends SHRBaseItem implements IDevProject
{
    public DevProject()
    {
        super();
        registerInterface(IDevProject.class, this);
    }
    public DevProject(Context ctx)
    {
        super(ctx);
        registerInterface(IDevProject.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("99390A08");
    }
    private DevProjectController getController() throws BOSException
    {
        return (DevProjectController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public DevProjectInfo getDevProjectInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDevProjectInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public DevProjectInfo getDevProjectInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDevProjectInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public DevProjectInfo getDevProjectInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDevProjectInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public DevProjectCollection getDevProjectCollection() throws BOSException
    {
        try {
            return getController().getDevProjectCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public DevProjectCollection getDevProjectCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDevProjectCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public DevProjectCollection getDevProjectCollection(String oql) throws BOSException
    {
        try {
            return getController().getDevProjectCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}